package com.streambase.contrib.earthquake;

import com.streambase.sb.CompleteDataType;
import com.streambase.sb.Schema;

public class EarthquakeSchema {
	 public static final Schema.Field[] FIELDS = {
		 	
		 new Schema.Field("Timestamp", CompleteDataType.forString()),
		 new Schema.Field("Latitude", CompleteDataType.forDouble()),
		 new Schema.Field("Longitude", CompleteDataType.forDouble()),
		 new Schema.Field("Magnitude", CompleteDataType.forDouble()),
		 new Schema.Field("Depth", CompleteDataType.forDouble()),
		 new Schema.Field("Region", CompleteDataType.forString()),
	        
	    };	    
	    public static final Schema SCHEMA = new Schema("EarthquakeSchema", FIELDS);
}
